#!/bin/sh

if [ "$1" = "" ]; then
  echo "Routers currently running:"
  docker ps --format "table {{.Names}}\t{{.Image}}\t{{.RunningFor}}" | grep "^Router"
  printf "\nConnect to: "
  read rtr
else
  rtr=$1
fi

if [ "`echo ${rtr} | cut -c2-6`" != "outer" ]; then
  rtr="Router${rtr}"
fi

if [ "$2" = "" ]; then
  echo "connecting to ${rtr}:"
  docker exec -it ${rtr} vtysh
else
  if [ "$3" = "" ]; then
    if [ "$2" = "save" ]; then
      docker exec -it ${rtr} sh conf/save.sh
    else
      docker exec -it ${rtr} $2
    fi
  else
    echo "${rtr}# $2 $3 $4 $5 $6 $7 $8 $9"
    docker exec -it ${rtr} vtysh -e "$2 $3 $4 $5 $6 $7 $8 $9"
  fi
fi
